summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGravatar samisa2012-02-16 04:23:37 +0000
committerGravatar samisa2012-02-16 04:23:37 +0000
commitd4040914ad947dee648c611663560f2f0f3a2dfa (patch)
tree208fbce28cba02f8859e0dd9346c468eaa185b07
parent0b5c603a3b5e860438282e919b8c5776cf8c80e9 (diff)
downloadaxis2c-d4040914ad947dee648c611663560f2f0f3a2dfa.tar.gz
axis2c-d4040914ad947dee648c611663560f2f0f3a2dfa.tar.bz2
adding script that can be used to pack the bin/src zip and tar on linux
git-svn-id: http://svn.apache.org/repos/asf/axis/axis2/c/core/trunk@1244846 13f79535-47bb-0310-9956-ffa450edef68
-rwxr-xr-xpack_dists.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/pack_dists.sh b/pack_dists.sh
new file mode 100755
index 0000000..1cfd4c7
--- /dev/null
+++ b/pack_dists.sh
@@ -0,0 +1,27 @@
+#!/bin/bash
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements. See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+set -e
+
+rm -rf axis2c-*
+make distclean
+
+sh build_for_dist.sh
+
+make dist
+make bindist
+
+tar xzf axis2c-src-1.7.0.tar.gz
+zip -r "axis2c-src-1.7.0.zip" "axis2c-src-1.7.0"